mantelkörper schliessen

In diesem Forum Fragen und Diskussionen in Deutsch
Forum rules
Foren-Regeln und hilfreiche Informationen

WICHTIG: Bitte zuerst lesen, bevor Sie posten
User avatar
bernd
Posts: 8468
Joined: Sun Sep 08, 2013 8:07 pm
Location: Zürich, Switzerland

Re: mantelkörper schliessen

Postby bernd » Fri Sep 27, 2019 5:05 pm

achso, dat ding iss ein baumtrog!
chrisb
Posts: 19484
Joined: Tue Mar 17, 2015 9:14 am

Re: mantelkörper schliessen

Postby chrisb » Fri Sep 27, 2019 5:27 pm

Ich versteh' immer noch nicht, warum Bei Euch die Flächen nicht eben sind. Ich habe hier noch mal eine etwas schönere Variante mit zwei Facebindern, damit wird dann genau die Lücke gefüllt (hier nur eine Seite vom Loch aus):
Bildschirmfoto 2019-09-27 um 19.24.22.png
Bildschirmfoto 2019-09-27 um 19.24.22.png (14.28 KiB) Viewed 214 times
Attachments
mantelFaceBinder.fcstd
(39.75 KiB) Downloaded 4 times
wmayer
Site Admin
Posts: 14988
Joined: Thu Feb 19, 2009 10:32 am

Re: mantelkörper schliessen

Postby wmayer » Fri Sep 27, 2019 5:55 pm

Code: Select all

App.ActiveDocument.ActiveObject.Shape.Face3.Surface
App.ActiveDocument.ActiveObject.Shape.Face3.Surface.isPlanar()
App.ActiveDocument.ActiveObject.Shape.Face7.Surface
App.ActiveDocument.ActiveObject.Shape.Face7.Surface.isPlanar()
App.ActiveDocument.ActiveObject.Shape.Face6.Surface
App.ActiveDocument.ActiveObject.Shape.Face6.Surface.isPlanar()
App.ActiveDocument.ActiveObject.Shape.Face5.Surface
App.ActiveDocument.ActiveObject.Shape.Face5.Surface.isPlanar()
Die vier Flächen im Original-Modell sind 3, 5, 6, 7 und bei allen heißt es, dass es sich um nicht-ebene B-Spline-Flächen handelt.
herbk
Posts: 1567
Joined: Mon Nov 03, 2014 3:45 pm
Location: Windsbach, Bavarya (Germany)

Re: mantelkörper schliessen

Postby herbk » Fri Sep 27, 2019 6:41 pm

Hi,
ich habe es jetzt mal einfach probiert: Einfach Kopieren, die Kopie drehen und beide fusionieren. Ich hatte damit gerechnet dass nach einem refinement alle die "zu vielen" Linien weg sind. - Waren sie aber nicht...

Dann Eine Hälfte weg geschnitten, die Übrige kopiert, gedreht und fusioniert... Nach dem refinement ist wieder eine Linie zu viel da.

Weshalb?
Attachments
mantelkoerper_herbk.FCStd
(72.75 KiB) Downloaded 3 times
Mantelring-jpg.png
Mantelring-jpg.png (93.27 KiB) Viewed 202 times
Gruß Herbert
User avatar
bernd
Posts: 8468
Joined: Sun Sep 08, 2013 8:07 pm
Location: Zürich, Switzerland

Re: mantelkörper schliessen

Postby bernd » Fri Sep 27, 2019 7:36 pm

wie drehst du das teil? das mit zwei linien könnte sogar evtl für FEM gehen. muss icht testen, bin aber unterwegs.
herbk
Posts: 1567
Joined: Mon Nov 03, 2014 3:45 pm
Location: Windsbach, Bavarya (Germany)

Re: mantelkörper schliessen

Postby herbk » Fri Sep 27, 2019 7:43 pm

Hi Bernd,
bernd wrote:
Fri Sep 27, 2019 7:36 pm
wie drehst du das teil? das mit zwei linien könnte sogar evtl für FEM gehen. muss icht testen, bin aber unterwegs.
In der Part WB ein Doppelklick auf das Teil und man bekommt das Werkzeug zum verschieben und drehen... Geht aber auch über die Eingabe in der Data Box
Gruß Herbert
chrisb
Posts: 19484
Joined: Tue Mar 17, 2015 9:14 am

Re: mantelkörper schliessen

Postby chrisb » Fri Sep 27, 2019 7:46 pm

Ich habe das gerade mal an zwei Kegeln ausprobiert: Refine scheint nur bei zylindrischen Flächen zu gehen.
wmayer
Site Admin
Posts: 14988
Joined: Thu Feb 19, 2009 10:32 am

Re: mantelkörper schliessen

Postby wmayer » Sat Sep 28, 2019 9:20 am

Zwei der Kanten bekommt man weg, wenn man Sketch und Sketch002 um 180 Grad um deren Z-Achse (Attachment) dreht.
UR_
Posts: 1013
Joined: Tue Jan 03, 2017 8:42 pm

Re: mantelkörper schliessen

Postby UR_ » Sat Sep 28, 2019 1:32 pm

"Bonding" einer offenen Schweissnaht


offene Nahtstelle unter Last:

GIF.gif
GIF.gif (689.32 KiB) Viewed 146 times

gebondete offene Nahtstelle (gleiches CAD-Modell)

GIF2.gif
GIF2.gif (546.62 KiB) Viewed 146 times


ConeTiedWelding-stripped.FCStd
(17.17 KiB) Downloaded 5 times
ConeOpenWelding-stripped.FCStd
(16.71 KiB) Downloaded 5 times


Leider Gottes muss das .inp File nach dem generieren händisch modifiziert werden

Code: Select all

***********************************************************
** added manually to INP file
** Contact Constraints
** written by write_constraints_contact function
** FemConstraintContact
*TIE,POSITION TOLERANCE=25.0,NAME=T1
DEP1,IND1

***********************************************************





*** delete this section manually
***********************************************************
** Contact Constraints
** written by write_constraints_contact function
** FemConstraintContact
*CONTACT PAIR, INTERACTION=INT1,TYPE=SURFACE TO SURFACE
DEP1,IND1
*SURFACE INTERACTION, NAME=INT1
*SURFACE BEHAVIOR,PRESSURE-OVERCLOSURE=LINEAR
1000000.0 
inp file modification.txt
(667 Bytes) Downloaded 3 times
User avatar
bernd
Posts: 8468
Joined: Sun Sep 08, 2013 8:07 pm
Location: Zürich, Switzerland

Re: mantelkörper schliessen

Postby bernd » Sun Oct 06, 2019 7:13 pm

Sehr cooles beispiel. Ich hab sie hier FEM_ConstraintContact hinzugefügt. Wenn mien ToDo nur nicht so lang wäre, oder ich contact öfters benötigen würde, hätten wir wohl die anderen contactvarianten schon implementiert ... :o